Fetch All Conversation Starters
curl --request GET \
--url https://sitegpt.ai/api/v0/chatbots/{chatbotId}/conversation-starters \
--header 'Authorization: Bearer <token>'import requests
url = "https://sitegpt.ai/api/v0/chatbots/{chatbotId}/conversation-starters"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sitegpt.ai/api/v0/chatbots/{chatbotId}/conversation-starters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Fetched conversation starters of the chatbot successfully",
"data": {
"prompts": [
{
"id": "538aa9ca-ef69-4a1a-a6a2-ba1f62f05c43",
"title": "Contact us",
"description": "How to contact you?"
},
{
"id": "40ffc3fe-9d74-439c-bfec-8b0d69a94836",
"title": "Yo",
"description": "Hey what's up?"
}
]
}
}{
"success": false,
"message": "Failed to fetch conversation starters of the chatbot",
"data": null,
"error": {
"code": "CHATBOT_ID_REQUIRED",
"message": "chatbotId is required",
"details": null
}
}{
"success": false,
"message": "Failed to fetch conversation starters of the chatbot",
"data": null,
"error": {
"code": "API_KEY_NOT_VALID",
"message": "Authorization header does not contain valid API key",
"details": null
}
}{
"success": false,
"message": "Failed to fetch conversation starters of the chatbot",
"data": null,
"error": {
"code": "CHATBOT_FETCH_QUICK_PROMPTS_FORBIDDEN",
"message": "You are not authorized to fetch conversation starters of this chatbot",
"details": null
}
}{
"success": false,
"message": "Failed to fetch conversation starters of the chatbot",
"data": null,
"error": {
"code": "REQUEST_METHOD_NOT_ALLOWED",
"message": "PATCH request method is not allowed",
"details": null
}
}{
"success": false,
"message": "Failed to fetch conversation starters of the chatbot",
"data": null,
"error": {
"code": "CHATBOT_FETCH_QUICK_PROMPTS_FAILED",
"message": "Some technical error has occurred !!",
"details": null
}
}Conversation Starters
Fetch All Conversation Starters
Fetch all conversation starters of a particular chatbot
GET
/
v0
/
chatbots
/
{chatbotId}
/
conversation-starters
Fetch All Conversation Starters
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Your Chatbot ID
Was this page helpful?
⌘I